// carousel styles
.carousel {

    &__nav {
        position: absolute;
        bottom: 0;
        margin-bottom: 40px;
        left: 0;
        right: 0;
        display: inline-flex;
        justify-content: center;
        
        &-wrap {
            display: inline-flex;
            justify-content: center;
            position: relative;
        }
        .slick-arrow {
            position: absolute;
            transition: all 500ms ease;
            border: 0;
            background: transparent;
            padding: 0;
            color: $white;

            &.slick-prev {
                left: -38px;
            }

            &.slick-next {
                right: -38px;
            }

            &:hover {
                &.slick-prev {
                    left: -46px;
                }

                &.slick-next {
                    right: -46px;
                }
            }
        }

        .slick-dots {
            @extend %list-unstyled;
            display: inline-flex;
            align-items: center;
            li {
                display: inline-block;
                background: $gray;
                border-radius: 20px;
                width: 10px;
                height: 10px;
                cursor: pointer;
                margin: 0 5px;
                transition: background 500ms ease;
                
                button {
                    border: 0;
                    background: transparent;
                    font: 0/0 a;
                    padding: 0;
                }
        
                &:hover {
                    background: $white;
                }
            }
        
            .slick-active {
                background: $white;
            }
        }   

        &-dots {
            line-height: 14px;
        }

        &-arrows {
            display: inline-flex;
            align-items: center;
        }
    }
}

@media only screen and (min-width: $bpDesktop) {
    .carousel {
        .slick-arrow {
            .icon {
                font-size: calc-em(26px);
            }
        }

        &__nav {
            
            
            .slick-dots li {
                margin: 0 8px;
                width: 12px;
                height: 12px;
            }
            .slick-arrow.slick-prev {
            
                left: -48px;

                &:hover {
                    left: -56px;
                }
            }
        }

        &__nav .slick-arrow.slick-next {
            right: -48px;
            &:hover {
                right: -56px;
            }
        }
    }
}

@media only screen and (min-width: $bpDesktop) {
    .slick-arrow {
        .icon {
            font-size: calc-em(30px);
        }
    }
    .carousel {

        &__nav {
            
            .slick-dots li {
                width: 13px;
                height: 13px;
                margin: 0 8px;
            }
            .slick-arrow.slick-prev {
            
                left: -55px;

                &:hover {
                    left: -65px;
                }
            }
            .slick-arrow.slick-next {
                right: -55px;
                &:hover {
                    right: -65px;
                }
            }
        }
    }

}